#
# spec file for package xfce4-volumed
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-volumed
Version:        0.1.13
Release:        lp150.1.8
Summary:        Daemon Providing Support for Sound Volume Keys
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://git.xfce.org/apps/xfce4-volumed
Source:         http://archive.xfce.org/src/apps/xfce4-volumed/0.1/%{name}-%{version}.tar.bz2
Patch1:         xfce4-mixer-alsa.patch
BuildRequires:  alsa-devel
BuildRequires:  automake
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(keybinder)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     xfce4-mixer

%description
xfce4-volumed is a daemon providing support for sound volume keys present on
some keyboards. It can also display notifications on sound volume change and
mute using a notification server.

%prep
%setup -q
%patch1 -p1
autoreconf -fi

%build
%configure --with-libnotify
make %{?_smp_mflags}

%install
%make_install

%suse_update_desktop_file xfce4-volumed

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README THANKS
%config %{_sysconfdir}/xdg/autostart/xfce4-volumed.desktop
%{_bindir}/xfce4-volumed

%changelog
* Wed Jan 25 2017 tiwai@suse.de
- Drop gstreamer-0.10 usage, move to gstreamer-1.0;
  this requires the additionally own GstMixer implementation:
  xfce4-mixer-alsa.patch
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
* Tue Mar  8 2011 gber@opensuse.org
- update to version 0.1.13
  - bugfixes
- dropped obsolete xfce4-volumed-0.1.11-honor-cflags.patch
* Tue Jan 11 2011 gber@opensuse.org
- removed dependency on xfconf
* Mon Dec 27 2010 gber@opensuse.org
- use %%%%suse_update_desktop_file
- do not install empty NEWS
- added xfce4-volumed-0.1.11-honor-cflags.patch in order to remove
  hardcoded CFLAGS
- corrected group
- corrected license
- improved summary/description
* Thu Dec  2 2010 prusnak@opensuse.org
- updated to 0.1.11
  - use libkeybinder
  - various gstreamer fixes
* Thu Nov 26 2009 prusnak@suse.cz
- updated to 0.1.8
* Fri Nov 13 2009 prusnak@suse.cz
- created package (version 0.1.7)
